The Spring Framework

## org.springframework.beans.support
Class ResourceEditorRegistrar

    java.lang.Object
      org.springframework.beans.support.ResourceEditorRegistrar

All Implemented Interfaces:
  PropertyEditorRegistrar

    public class ResourceEditorRegistrar

extends Object
implements PropertyEditorRegistrar

PropertyEditorRegistrar implementation that populates a given `PropertyEditorRegistry` (typically a `BeanWrapper` used for bean creation within an `ApplicationContext`) with resource editors. Used by `AbstractApplicationContext`.

Since:
  2.0
Author:
  Juergen Hoeller

Constructor Summary
`ResourceEditorRegistrar(ResourceLoader resourceLoader)` Create a new ResourceEditorRegistrar for the given ResourceLoader

Method Summary
`void` `registerCustomEditors(PropertyEditorRegistry registry)` Populate the given bean factory with the following resource editors: ResourceEditor, InputStreamEditor, FileEditor, URLEditor, ClassEditor, URIEditor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceEditorRegistrar

    public ResourceEditorRegistrar(ResourceLoader resourceLoader)

  Create a new ResourceEditorRegistrar for the given ResourceLoader

  Parameters:
    `resourceLoader` - the ResourceLoader (or ResourcePatternResolver) to create editors for (usually an ApplicationContext)
  See Also:
    `ResourcePatternResolver`, `ApplicationContext`

Method Detail

### registerCustomEditors

    public void registerCustomEditors(PropertyEditorRegistry registry)

  Populate the given bean factory with the following resource editors: ResourceEditor, InputStreamEditor, FileEditor, URLEditor, ClassEditor, URIEditor.

  In case of a `ResourcePatternResolver`, a ResourceArrayPropertyEditor will be registered as well.

  Specified by:
    `registerCustomEditors` in interface `PropertyEditorRegistrar`
  Parameters:
    `registry` - the `PropertyEditorRegistry` to register the custom `PropertyEditors` with
  See Also:
    `ResourceEditor`, `InputStreamEditor`, `FileEditor`, `URLEditor`, `ClassEditor`, `URIEditor`, `ResourceArrayPropertyEditor`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.